Bug 597525 - missing dependencies for PackageKit-gtk, libcanberra-gtk2 and fonts
missing dependencies for PackageKit-gtk, libcanberra-gtk2 and fonts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-29 07:45 EDT by Felix Schwarz
Modified: 2010-12-03 09:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:13:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felix Schwarz 2010-05-29 07:45:05 EDT
Description of problem:
Tried to use preugrade on a server-like machine (basically no x-related packages installed). preupgrade prints a couple of warnings on the console and text in the UI is completely unusable.

Installing a couple of additional packages fixed the problem.

Version-Release number of selected component (if applicable):
preupgrade-1.1.7-1.fc12.noarch

How reproducible:
Always

Steps to Reproduce:
1. Do a minimal Fedora install (no X windows)
2. yum install preupgrade
2. preupgrade
  
Actual results:
1. warnings on the console

Gtk-Message: Failed to load module "pk-gtk-module": libpk-gtk-module.so: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden
Gtk-Message: Failed to load module "canberra-gtk-module": libcanberra-gtk-module.so: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden
/usr/lib/python2.6/site-packages/preupgrade/guihelpers/__init__.py:33: PangoWarning: failed to choose a font, expect ugly output. engine-type='PangoRenderFc', script='latin'
  gtk.glade.XML.__init__(self, filename, rootname)
Geladene Plugins: blacklist, fastestmirror, whiteout
Kein Plugin für Argument: rpm-warm-cache
Kein Plugin für Argument: remove-with-leaves
Kein Plugin für Argument: auto-update-debuginfo
(preupgrade-gtk.py:2639): PkGtkModule-DEBUG: InstallFontconfigResources method invoked

2. text in UI window is unusable

Expected results:
preupgrade should show readable glyphs and work as if this had been a default Fedora installation.

Additional info:

I got rid of the "Gtk-Message"s by installing PackageKit-gtk-module and libcanberra-gtk2.

For good glyphs, I installed dejavu-sans-fonts.

Finally I installed yum-plugin-remove-with-leaves, yum-plugin-rpm-warm-cache and yum-plugin-auto-update-debug-info to get rid of the last plugin warnings.

I'm not sure how to depend on 'just a latin1 font', which is why I'm not sending a spec file patch but I expected a usable preupgrade after installing it...
Comment 1 Bug Zapper 2010-11-03 09:54:32 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 09:13:26 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.